<?php

namespace App\Models;

class PropertyMeta extends BaseModel
{

    protected $table = 'property_meta';
    protected $appends = ['paramsArray'];

    const CREATED_AT = 'created_at';
    const UPDATED_AT = 'updated_at';

    protected $dateFormat = 'U';
    protected $guarded = [];


    protected $hidden = [];

    public function getParamsArrayAttribute()
    {

        if(!is_null($this->param)) {
            return json_decode($this->param,1);
        } else {
            return null;
        }
    }

    public function property()
    {
        return $this->hasOne("App\Models\Property",'id','property_id')->select(['id', 'name', 'country']);
    }

}
